<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    enrol_attributes
 * @author     Nicolas Dunand <Nicolas.Dunand@unil.ch>
 * @copyright  2018 Université de Lausanne (@link http://www.unil.ch}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$tasks = [
        [
                'classname' => 'enrol_attributes\task\processenrolments_task',
                'blocking'  => 0,
                'minute'    => 0,
                'hour'      => '*',
                'day'       => '*',
                'month'     => '*',
                'dayofweek' => '*'
        ],
        [
                'classname' => 'enrol_attributes\task\invalidatecache_task',
                'blocking' => 0,
                'minute' => '*/15',
                'hour' => '*',
                'day' => '*',
                'month' => '*',
                'dayofweek' => '*'
        ],
];
